GNU bug report logs - #40411
Auto-login prevents GDM from starting

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Pierre Neidhardt <mail@HIDDEN>; merged with #35674; dated Fri, 3 Apr 2020 16:55:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 35674 40411. Request was from Pierre Neidhardt <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40411 <at> debbugs.gnu.org:


Received: (at 40411) by debbugs.gnu.org; 3 Apr 2020 18:26:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 14:26:47 2020
Received: from localhost ([127.0.0.1]:43205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKR1j-0002lD-9Z
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 14:26:47 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:59467)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jKR1h-0002kf-Rq
 for 40411 <at> debbugs.gnu.org; Fri, 03 Apr 2020 14:26:46 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id ECF191C0006;
 Fri,  3 Apr 2020 18:26:37 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#40411: Acknowledgement (Auto-login prevents GDM from starting)
In-Reply-To: <20200403172225.GA7338@HIDDEN>
References: <878sjcse6r.fsf@HIDDEN>
 <handler.40411.B.15859328546474.ack <at> debbugs.gnu.org>
 <875zegsdz1.fsf@HIDDEN> <20200403172225.GA7338@HIDDEN>
Date: Fri, 03 Apr 2020 20:26:34 +0200
Message-ID: <871rp4s9wl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Done. -- Pierre Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.197 listed in list.dnswl.org]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40411
Cc: 40411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Done. -- Pierre Neidhardt https://ambrevar.xyz/ 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.197 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.3 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Done.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6Hf9oACgkQm9z0l6S7
zH9GfQf/S8cjy3TPQfKemkT6AA9QaX42rCTTlHAsPxx8pWUlt5u4D0Yv4ZJZTp73
QWa63egk84lZApwLat69byEyHIsxyyTVrud6zgSv4K3Xx904WlrfWmKpdBPhUC5t
7CjG3Z9r5Y3WZmjYTs+QcZJCcn6D7dN8KRQDmXI/+2FqyqPXpaEziUkp3yMYq3JQ
YXiARbH1UkPXujitBS5D8AywJTYJgblOwTSysgMEm77Gn5wfNjeLT89Sw7vJhcMA
lGo8+2RMsY+qg2IuKo8iUt1FF0zLE15BL02m8oKKr2B6KzSAb0lMy/tBO3j/d7Zv
Lk3BLTEzL5H92jbHg83pUzT+/myt1Q==
=kHFd
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#40411; Package guix. Full text available.

Message received at 40411 <at> debbugs.gnu.org:


Received: (at 40411) by debbugs.gnu.org; 3 Apr 2020 17:22:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 13:22:35 2020
Received: from localhost ([127.0.0.1]:43149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKQ1b-0003Mz-EZ
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 13:22:35 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:54811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jKQ1Z-0003MM-1N
 for 40411 <at> debbugs.gnu.org; Fri, 03 Apr 2020 13:22:33 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id C101F5C03A3;
 Fri,  3 Apr 2020 13:22:27 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Fri, 03 Apr 2020 13:22:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=x/1B6BgdYV0reQ+bAqVgAjHM
 M4j3Bjd3awPHNtQ5LjI=; b=bCOkW97iXPDMySf3xozqMB4/qXS9n4VxyW9SwThI
 OVuhxMJpj7OXClaeLPV7F9h5CCjIovQhov8Gay0xN1lhi2vlxI151j9fNd7/JPWW
 Yceoem4vCxk8P00QwLvV4GsMYZ6/nE8/LYQAnBqRQPpoFU/oVrV3xAuYpBuCVoSP
 1mg=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=x/1B6B
 gdYV0reQ+bAqVgAjHMM4j3Bjd3awPHNtQ5LjI=; b=bFZQGInuBO6Tj/5bTR4I6X
 bC+34D7fHFzvvvG+saD8e2uWDUUkfzDSvidyAXoCoXiaN3HjFxWLqBQLgdWj/fzp
 7eY1fOgOpGZHgqJ5iAMuJcMM54MQTg0UxlIyYiZT45R1zUpNcfgdOk/L7nn96BiC
 yAg6ORPqH1QmY7dv3kO7j2z4P9I+TqXd8bwAQJPJfl3aX+nTLlzr0QShQtx2WcsG
 CVSmGPrKyEWITxduJFruuKxMzGuBzpgwnXmeblk7hijGfeAhww3+iB5qHbyOLpsS
 OdhZiBPTUL5MJ+9gQKJ47KL0v5q5EKNvmOcraLFY25CM5jm1JYBIDYfqiga2kfpw
 ==
X-ME-Sender: <xms:03CHXlJBCqLJRRN1qNugf1AFCGxEfbL343MkyJHiENFG4_9ZOMAtsA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrtdeigdduuddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuffhomhgrihhnpehguhhigidrihhnfhhonecukfhppeejiedrud
 dvgedrudefkedrieefnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghi
 lhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:03CHXs3JqB3QmlfkFClnezDcSEsn8u11ro3SOHRmp3R8Zw79GRuqeg>
 <xmx:03CHXhW4Y89ri0MRX6OOoFoyYGgiTLCUKLLcUFwpncXhaS6oU6hXDQ>
 <xmx:03CHXmoNNrtooQQMLqh3fO3-WAEUnjwQM_3_-zQGM5mUs88-i6VQXg>
 <xmx:03CHXqeaUifxtRk3O8eQRy9fexQJvsRs-0dTPJ6RUhhNgjdbF0FJ7Q>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6A88A306CF6A;
 Fri,  3 Apr 2020 13:22:27 -0400 (EDT)
Date: Fri, 3 Apr 2020 13:22:25 -0400
From: Leo Famulari <leo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#40411: Acknowledgement (Auto-login prevents GDM from starting)
Message-ID: <20200403172225.GA7338@HIDDEN>
References: <878sjcse6r.fsf@HIDDEN>
 <handler.40411.B.15859328546474.ack <at> debbugs.gnu.org>
 <875zegsdz1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <875zegsdz1.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40411
Cc: 40411 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Apr 03, 2020 at 06:58:42PM +0200, Pierre Neidhardt wrote:
> Oops, I did look for similar issues and somehow I missed
> https://issues.guix.info/issue/35674
> which seems to be very similar to what Alex is experiencing.

If appropriate, please merge the bugs :)




Information forwarded to bug-guix@HIDDEN:
bug#40411; Package guix. Full text available.

Message received at 40411 <at> debbugs.gnu.org:


Received: (at 40411) by debbugs.gnu.org; 3 Apr 2020 16:58:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 12:58:52 2020
Received: from localhost ([127.0.0.1]:43138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKPee-0001y4-7W
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 12:58:52 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:63099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jKPec-0001xX-I9
 for 40411 <at> debbugs.gnu.org; Fri, 03 Apr 2020 12:58:51 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 8DFDA40004
 for <40411 <at> debbugs.gnu.org>; Fri,  3 Apr 2020 16:58:43 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 40411 <at> debbugs.gnu.org
Subject: Re: bug#40411: Acknowledgement (Auto-login prevents GDM from starting)
In-Reply-To: <handler.40411.B.15859328546474.ack <at> debbugs.gnu.org>
References: <878sjcse6r.fsf@HIDDEN>
 <handler.40411.B.15859328546474.ack <at> debbugs.gnu.org>
Date: Fri, 03 Apr 2020 18:58:42 +0200
Message-ID: <875zegsdz1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Oops,
 I did look for similar issues and somehow I missed
 https://issues.guix.info/issue/35674
 which seems to be very similar to what Alex is experiencing. -- Pierre
 Neidhardt https://ambrevar.xyz/ 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.194 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.194 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 40411
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Oops, I did look for similar issues and somehow I missed https://issues.guix.info/issue/35674
    which seems to be very similar to what Alex is experiencing. -- Pierre Neidhardt
    https://ambrevar.xyz/ 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: guix.info]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.194 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.3 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Oops, I did look for similar issues and somehow I missed
https://issues.guix.info/issue/35674
which seems to be very similar to what Alex is experiencing.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6Ha0IACgkQm9z0l6S7
zH9/sAf/Yz/jvfCP7phAptXgwcdla2Q1sq4rLweQF0GmKDy3UPwa42Ok298wg9yl
FMaNV+hReiAP9MhhTanSK7jTqyHu0wcSIrqcBkMLWSwiwBXKd2XgKekiTLvtDm/+
ywv/djny88GUXOsSVlI/3zuJ89cSNWXp+bP8mdQYBqPJalYWSK2CUrh/WA1ljeId
cx9VhtRasqtW4CM42uh4Ypit6Cb6rNj9GifqsGs4RfBVea3z1MrpojNfJLRwR/dc
9AIUF1bmXuwlYm9OLxF/2KFRDC3Ox7lLy7H1/oPahp2SbieyRYwgYapkYi1LfwZw
bJ/ggY9j4/1PGgNgxJr6RSLYQWt1aQ==
=2aox
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#40411; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Apr 2020 16:54:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 12:54:14 2020
Received: from localhost ([127.0.0.1]:43127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKPaA-0001gL-9V
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 12:54:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:47533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jKPa7-0001g3-LQ
 for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 12:54:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41344)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1jKPa6-0003Qb-Eg
 for bug-guix@HIDDEN; Fri, 03 Apr 2020 12:54:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1jKPa5-00055f-3S
 for bug-guix@HIDDEN; Fri, 03 Apr 2020 12:54:10 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:57797)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1jKPa4-00054X-Tb
 for bug-guix@HIDDEN; Fri, 03 Apr 2020 12:54:09 -0400
X-Originating-IP: 78.199.129.170
Received: from mimimi (moi44-1-78-199-129-170.fbx.proxad.net [78.199.129.170])
 (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 287FB40002
 for <bug-guix@HIDDEN>; Fri,  3 Apr 2020 16:54:05 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: bug-guix@HIDDEN
Subject: Auto-login prevents GDM from starting
Date: Fri, 03 Apr 2020 18:54:04 +0200
Message-ID: <878sjcse6r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.70.183.194
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: With the following GDM service: --8<cut herestart>8---
 (gdm-service-type
 (gdm-configuration (default-user "doe") (auto-login? #t))) --8<cut hereend
 [...] Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 1.3 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.7 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.4 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

With the following GDM service:

=2D-8<---------------cut here---------------start------------->8---
(gdm-service-type
 (gdm-configuration
  (default-user "doe")
  (auto-login? #t)))
=2D-8<---------------cut here---------------end--------------->8---

GDM fails to start (nothing happens, nothing is printed in the TTY).

If I set auto-login? to #f, GDM starts properly (but of course does not
log me in automatically).

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl6HaiwACgkQm9z0l6S7
zH9sjwgAkd7scsZGKxowwZ62V+w93LuZDA7d7HxrDmpUzNkrG3lNNO0RXTJSgM8L
BUIQwYQXgPL3yW/ANXCNZupr2U0o2ApiIn47iidG4aqEcGYVzToXqCvZjgGOFSyq
REMtnO/bFZAWsLf5YYSSfGnDCaoJwzkNfrN56u5Hg1v8pQSNXKYy79FOSN17eUSB
fxzJBK54JCn3sARwQQpH9NmHunb9Llj+Srx3wyLOsMbaRuQ10yk/+M7HTnd/e94+
gUCYTMZIu9YmdvdeQrC7ioIMPvOycKyxHdqbiVlKGuVqHcU0zB8If5Zq+F+otsyY
dRqqauayN7pMBIr2QnWp8BlQ/zKOsg==
=8q/u
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#40411; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 3 Apr 2020 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.